You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@htrace.apache.org by cm...@apache.org on 2015/07/30 20:28:07 UTC

incubator-htrace git commit: HTRACE-223. gobuild.sh: fix issue where maven succeeds if go build fails (cmccabe)

Repository: incubator-htrace
Updated Branches:
  refs/heads/master 959a6ef03 -> 33f71ec71


HTRACE-223. gobuild.sh: fix issue where maven succeeds if go build fails (cmccabe)


Project: http://git-wip-us.apache.org/repos/asf/incubator-htrace/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-htrace/commit/33f71ec7
Tree: http://git-wip-us.apache.org/repos/asf/incubator-htrace/tree/33f71ec7
Diff: http://git-wip-us.apache.org/repos/asf/incubator-htrace/diff/33f71ec7

Branch: refs/heads/master
Commit: 33f71ec71952435866e4341cc4ed805d5eab9897
Parents: 959a6ef
Author: Colin Patrick Mccabe <cm...@cloudera.com>
Authored: Thu Jul 30 11:27:46 2015 -0700
Committer: Colin Patrick Mccabe <cm...@cloudera.com>
Committed: Thu Jul 30 11:27:46 2015 -0700

----------------------------------------------------------------------
 htrace-htraced/go/gobuild.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-htrace/blob/33f71ec7/htrace-htraced/go/gobuild.sh
----------------------------------------------------------------------
diff --git a/htrace-htraced/go/gobuild.sh b/htrace-htraced/go/gobuild.sh
index e2b658f..a614ef4 100755
--- a/htrace-htraced/go/gobuild.sh
+++ b/htrace-htraced/go/gobuild.sh
@@ -80,8 +80,8 @@ fi
 # Check for libleveldb.so
 if [ -n "$LEVELDB_PREFIX" ]; then
     echo "using LEVELDB_PREFIX=$LEVELDB_PREFIX"
-    export CGO_CFLAGS="-I${LEVELDB_PREFIX}/include"
-    export CGO_LDFLAGS="-L${LEVELDB_PREFIX}"
+    export CGO_CFLAGS="-I${LEVELDB_PREFIX} -I${LEVELDB_PREFIX}/include"
+    export CGO_LDFLAGS="-L${LEVELDB_PREFIX} -L${LEVELDB_PREFIX}/lib"
 else
     if [ -x "/sbin/ldconfig" ]; then
         # Suse requires ldconfig to be run via the absolute path
@@ -123,7 +123,8 @@ install)
 
     # Inject the release and git version into the htraced ldflags.
     FLAGS="-X main.RELEASE_VERSION ${RELEASE_VERSION} -X main.GIT_VERSION ${GIT_VERSION}"
-    go install ${TAGS} -ldflags "${FLAGS}" -v org/apache/htrace/... "$@"
+    go install ${TAGS} -ldflags "${FLAGS}" -v org/apache/htrace/... "$@" \
+        || die "go install failed."
     # Make a symlink to web src dir so can do development in-situ out
     # of build dir. This is ugly but blame go build.
     ln -fs "../../htrace-webapp/src/main/web" "${GOBIN}/../"